<?php

namespace STM\Plugin\ParserFotbalCZ\Helpers;

/**
 * Test class for URL.
 * Generated by PHPUnit on 2013-07-11 at 17:03:10.
 */
class URLTest extends \PHPUnit_Framework_TestCase
{

    public function testGetQueryStringArray()
    {
        $url = 'http://nv.fotbal.cz/domaci-souteze/kao/pardubicky/souteze.asp?soutez=530A2A&show=Los';
        $queryStringArray = URL::getQueryStringArray($url);
        parent::assertEquals(2, count($queryStringArray));
        parent::assertArrayHasKey('soutez', $queryStringArray);
        parent::assertArrayHasKey('show', $queryStringArray);
        parent::assertEquals('530A2A', $queryStringArray['soutez']);
        parent::assertEquals('Los', $queryStringArray['show']);
    }

    public function testUrlWithoutQueryString()
    {
        $url = 'http://nv.fotbal.cz/';
        parent::assertEquals(array(), URL::getQueryStringArray($url));
    }
}
